/******************************************************************************
**
** File      CorsairLedIdEnum.h
** Author    Denys Romanenko
** Copyright (c) 2021, Corsair Memory, Inc. All Rights Reserved.
**
** This file is part of Corsair SDK Lighting Effects.
**
******************************************************************************/

#pragma once

enum CorsairLedId
{
	CLI_Invalid = 0,
	CLK_Escape = 1,
	CLK_F1 = 2,
	CLK_F2 = 3,
	CLK_F3 = 4,
	CLK_F4 = 5,
	CLK_F5 = 6,
	CLK_F6 = 7,
	CLK_F7 = 8,
	CLK_F8 = 9,
	CLK_F9 = 10,
	CLK_F10 = 11,
	CLK_F11 = 12,
	CLK_GraveAccentAndTilde = 13,
	CLK_1 = 14,
	CLK_2 = 15,
	CLK_3 = 16,
	CLK_4 = 17,
	CLK_5 = 18,
	CLK_6 = 19,
	CLK_7 = 20,
	CLK_8 = 21,
	CLK_9 = 22,
	CLK_0 = 23,
	CLK_MinusAndUnderscore = 24,
	CLK_Tab = 25,
	CLK_Q = 26,
	CLK_W = 27,
	CLK_E = 28,
	CLK_R = 29,
	CLK_T = 30,
	CLK_Y = 31,
	CLK_U = 32,
	CLK_I = 33,
	CLK_O = 34,
	CLK_P = 35,
	CLK_BracketLeft = 36,
	CLK_CapsLock = 37,
	CLK_A = 38,
	CLK_S = 39,
	CLK_D = 40,
	CLK_F = 41,
	CLK_G = 42,
	CLK_H = 43,
	CLK_J = 44,
	CLK_K = 45,
	CLK_L = 46,
	CLK_SemicolonAndColon = 47,
	CLK_ApostropheAndDoubleQuote = 48,
	CLK_LeftShift = 49,
	CLK_NonUsBackslash = 50,
	CLK_Z = 51,
	CLK_X = 52,
	CLK_C = 53,
	CLK_V = 54,
	CLK_B = 55,
	CLK_N = 56,
	CLK_M = 57,
	CLK_CommaAndLessThan = 58,
	CLK_PeriodAndBiggerThan = 59,
	CLK_SlashAndQuestionMark = 60,
	CLK_LeftCtrl = 61,
	CLK_LeftGui = 62,
	CLK_LeftAlt = 63,
	CLK_Lang2 = 64,
	CLK_Space = 65,
	CLK_Lang1 = 66,
	CLK_International2 = 67,
	CLK_RightAlt = 68,
	CLK_RightGui = 69,
	CLK_Application = 70,
	CLK_LedProgramming = 71,
	CLK_Brightness = 72,
	CLK_F12 = 73,
	CLK_PrintScreen = 74,
	CLK_ScrollLock = 75,
	CLK_PauseBreak = 76,
	CLK_Insert = 77,
	CLK_Home = 78,
	CLK_PageUp = 79,
	CLK_BracketRight = 80,
	CLK_Backslash = 81,
	CLK_NonUsTilde = 82,
	CLK_Enter = 83,
	CLK_International1 = 84,
	CLK_EqualsAndPlus = 85,
	CLK_International3 = 86,
	CLK_Backspace = 87,
	CLK_Delete = 88,
	CLK_End = 89,
	CLK_PageDown = 90,
	CLK_RightShift = 91,
	CLK_RightCtrl = 92,
	CLK_UpArrow = 93,
	CLK_LeftArrow = 94,
	CLK_DownArrow = 95,
	CLK_RightArrow = 96,
	CLK_WinLock = 97,
	CLK_Mute = 98,
	CLK_Stop = 99,
	CLK_ScanPreviousTrack = 100,
	CLK_PlayPause = 101,
	CLK_ScanNextTrack = 102,
	CLK_NumLock = 103,
	CLK_KeypadSlash = 104,
	CLK_KeypadAsterisk = 105,
	CLK_KeypadMinus = 106,
	CLK_KeypadPlus = 107,
	CLK_KeypadEnter = 108,
	CLK_Keypad7 = 109,
	CLK_Keypad8 = 110,
	CLK_Keypad9 = 111,
	CLK_KeypadComma = 112,
	CLK_Keypad4 = 113,
	CLK_Keypad5 = 114,
	CLK_Keypad6 = 115,
	CLK_Keypad1 = 116,
	CLK_Keypad2 = 117,
	CLK_Keypad3 = 118,
	CLK_Keypad0 = 119,
	CLK_KeypadPeriodAndDelete = 120,
	CLK_G1 = 121,
	CLK_G2 = 122,
	CLK_G3 = 123,
	CLK_G4 = 124,
	CLK_G5 = 125,
	CLK_G6 = 126,
	CLK_G7 = 127,
	CLK_G8 = 128,
	CLK_G9 = 129,
	CLK_G10 = 130,
	CLK_VolumeUp = 131,
	CLK_VolumeDown = 132,
	CLK_MR = 133,
	CLK_M1 = 134,
	CLK_M2 = 135,
	CLK_M3 = 136,
	CLK_G11 = 137,
	CLK_G12 = 138,
	CLK_G13 = 139,
	CLK_G14 = 140,
	CLK_G15 = 141,
	CLK_G16 = 142,
	CLK_G17 = 143,
	CLK_G18 = 144,
	CLK_International5 = 145,
	CLK_International4 = 146,
	CLK_Fn = 147,

	CLM_1 = 148,
	CLM_2 = 149,
	CLM_3 = 150,
	CLM_4 = 151,

	CLH_LeftLogo = 152,
	CLH_RightLogo = 153,

	CLK_Logo = 154,

	CLMM_Zone1 = 155,
	CLMM_Zone2 = 156,
	CLMM_Zone3 = 157,
	CLMM_Zone4 = 158,
	CLMM_Zone5 = 159,
	CLMM_Zone6 = 160,
	CLMM_Zone7 = 161,
	CLMM_Zone8 = 162,
	CLMM_Zone9 = 163,
	CLMM_Zone10 = 164,
	CLMM_Zone11 = 165,
	CLMM_Zone12 = 166,
	CLMM_Zone13 = 167,
	CLMM_Zone14 = 168,
	CLMM_Zone15 = 169,

	CLKLP_Zone1 = 170,
	CLKLP_Zone2 = 171,
	CLKLP_Zone3 = 172,
	CLKLP_Zone4 = 173,
	CLKLP_Zone5 = 174,
	CLKLP_Zone6 = 175,
	CLKLP_Zone7 = 176,
	CLKLP_Zone8 = 177,
	CLKLP_Zone9 = 178,
	CLKLP_Zone10 = 179,
	CLKLP_Zone11 = 180,
	CLKLP_Zone12 = 181,
	CLKLP_Zone13 = 182,
	CLKLP_Zone14 = 183,
	CLKLP_Zone15 = 184,
	CLKLP_Zone16 = 185,
	CLKLP_Zone17 = 186,
	CLKLP_Zone18 = 187,
	CLKLP_Zone19 = 188,

	CLM_5 = 189,
	CLM_6 = 190,

	CLHSS_Zone1 = 191,
	CLHSS_Zone2 = 192,
	CLHSS_Zone3 = 193,
	CLHSS_Zone4 = 194,
	CLHSS_Zone5 = 195,
	CLHSS_Zone6 = 196,
	CLHSS_Zone7 = 197,
	CLHSS_Zone8 = 198,
	CLHSS_Zone9 = 199,

	CLD_C1_1 = 200,
	CLD_C1_2 = 201,
	CLD_C1_3 = 202,
	CLD_C1_4 = 203,
	CLD_C1_5 = 204,
	CLD_C1_6 = 205,
	CLD_C1_7 = 206,
	CLD_C1_8 = 207,
	CLD_C1_9 = 208,
	CLD_C1_10 = 209,
	CLD_C1_11 = 210,
	CLD_C1_12 = 211,
	CLD_C1_13 = 212,
	CLD_C1_14 = 213,
	CLD_C1_15 = 214,
	CLD_C1_16 = 215,
	CLD_C1_17 = 216,
	CLD_C1_18 = 217,
	CLD_C1_19 = 218,
	CLD_C1_20 = 219,
	CLD_C1_21 = 220,
	CLD_C1_22 = 221,
	CLD_C1_23 = 222,
	CLD_C1_24 = 223,
	CLD_C1_25 = 224,
	CLD_C1_26 = 225,
	CLD_C1_27 = 226,
	CLD_C1_28 = 227,
	CLD_C1_29 = 228,
	CLD_C1_30 = 229,
	CLD_C1_31 = 230,
	CLD_C1_32 = 231,
	CLD_C1_33 = 232,
	CLD_C1_34 = 233,
	CLD_C1_35 = 234,
	CLD_C1_36 = 235,
	CLD_C1_37 = 236,
	CLD_C1_38 = 237,
	CLD_C1_39 = 238,
	CLD_C1_40 = 239,
	CLD_C1_41 = 240,
	CLD_C1_42 = 241,
	CLD_C1_43 = 242,
	CLD_C1_44 = 243,
	CLD_C1_45 = 244,
	CLD_C1_46 = 245,
	CLD_C1_47 = 246,
	CLD_C1_48 = 247,
	CLD_C1_49 = 248,
	CLD_C1_50 = 249,
	CLD_C1_51 = 250,
	CLD_C1_52 = 251,
	CLD_C1_53 = 252,
	CLD_C1_54 = 253,
	CLD_C1_55 = 254,
	CLD_C1_56 = 255,
	CLD_C1_57 = 256,
	CLD_C1_58 = 257,
	CLD_C1_59 = 258,
	CLD_C1_60 = 259,
	CLD_C1_61 = 260,
	CLD_C1_62 = 261,
	CLD_C1_63 = 262,
	CLD_C1_64 = 263,
	CLD_C1_65 = 264,
	CLD_C1_66 = 265,
	CLD_C1_67 = 266,
	CLD_C1_68 = 267,
	CLD_C1_69 = 268,
	CLD_C1_70 = 269,
	CLD_C1_71 = 270,
	CLD_C1_72 = 271,
	CLD_C1_73 = 272,
	CLD_C1_74 = 273,
	CLD_C1_75 = 274,
	CLD_C1_76 = 275,
	CLD_C1_77 = 276,
	CLD_C1_78 = 277,
	CLD_C1_79 = 278,
	CLD_C1_80 = 279,
	CLD_C1_81 = 280,
	CLD_C1_82 = 281,
	CLD_C1_83 = 282,
	CLD_C1_84 = 283,
	CLD_C1_85 = 284,
	CLD_C1_86 = 285,
	CLD_C1_87 = 286,
	CLD_C1_88 = 287,
	CLD_C1_89 = 288,
	CLD_C1_90 = 289,
	CLD_C1_91 = 290,
	CLD_C1_92 = 291,
	CLD_C1_93 = 292,
	CLD_C1_94 = 293,
	CLD_C1_95 = 294,
	CLD_C1_96 = 295,
	CLD_C1_97 = 296,
	CLD_C1_98 = 297,
	CLD_C1_99 = 298,
	CLD_C1_100 = 299,
	CLD_C1_101 = 300,
	CLD_C1_102 = 301,
	CLD_C1_103 = 302,
	CLD_C1_104 = 303,
	CLD_C1_105 = 304,
	CLD_C1_106 = 305,
	CLD_C1_107 = 306,
	CLD_C1_108 = 307,
	CLD_C1_109 = 308,
	CLD_C1_110 = 309,
	CLD_C1_111 = 310,
	CLD_C1_112 = 311,
	CLD_C1_113 = 312,
	CLD_C1_114 = 313,
	CLD_C1_115 = 314,
	CLD_C1_116 = 315,
	CLD_C1_117 = 316,
	CLD_C1_118 = 317,
	CLD_C1_119 = 318,
	CLD_C1_120 = 319,
	CLD_C1_121 = 320,
	CLD_C1_122 = 321,
	CLD_C1_123 = 322,
	CLD_C1_124 = 323,
	CLD_C1_125 = 324,
	CLD_C1_126 = 325,
	CLD_C1_127 = 326,
	CLD_C1_128 = 327,
	CLD_C1_129 = 328,
	CLD_C1_130 = 329,
	CLD_C1_131 = 330,
	CLD_C1_132 = 331,
	CLD_C1_133 = 332,
	CLD_C1_134 = 333,
	CLD_C1_135 = 334,
	CLD_C1_136 = 335,
	CLD_C1_137 = 336,
	CLD_C1_138 = 337,
	CLD_C1_139 = 338,
	CLD_C1_140 = 339,
	CLD_C1_141 = 340,
	CLD_C1_142 = 341,
	CLD_C1_143 = 342,
	CLD_C1_144 = 343,
	CLD_C1_145 = 344,
	CLD_C1_146 = 345,
	CLD_C1_147 = 346,
	CLD_C1_148 = 347,
	CLD_C1_149 = 348,
	CLD_C1_150 = 349,

	CLD_C2_1 = 350,
	CLD_C2_2 = 351,
	CLD_C2_3 = 352,
	CLD_C2_4 = 353,
	CLD_C2_5 = 354,
	CLD_C2_6 = 355,
	CLD_C2_7 = 356,
	CLD_C2_8 = 357,
	CLD_C2_9 = 358,
	CLD_C2_10 = 359,
	CLD_C2_11 = 360,
	CLD_C2_12 = 361,
	CLD_C2_13 = 362,
	CLD_C2_14 = 363,
	CLD_C2_15 = 364,
	CLD_C2_16 = 365,
	CLD_C2_17 = 366,
	CLD_C2_18 = 367,
	CLD_C2_19 = 368,
	CLD_C2_20 = 369,
	CLD_C2_21 = 370,
	CLD_C2_22 = 371,
	CLD_C2_23 = 372,
	CLD_C2_24 = 373,
	CLD_C2_25 = 374,
	CLD_C2_26 = 375,
	CLD_C2_27 = 376,
	CLD_C2_28 = 377,
	CLD_C2_29 = 378,
	CLD_C2_30 = 379,
	CLD_C2_31 = 380,
	CLD_C2_32 = 381,
	CLD_C2_33 = 382,
	CLD_C2_34 = 383,
	CLD_C2_35 = 384,
	CLD_C2_36 = 385,
	CLD_C2_37 = 386,
	CLD_C2_38 = 387,
	CLD_C2_39 = 388,
	CLD_C2_40 = 389,
	CLD_C2_41 = 390,
	CLD_C2_42 = 391,
	CLD_C2_43 = 392,
	CLD_C2_44 = 393,
	CLD_C2_45 = 394,
	CLD_C2_46 = 395,
	CLD_C2_47 = 396,
	CLD_C2_48 = 397,
	CLD_C2_49 = 398,
	CLD_C2_50 = 399,
	CLD_C2_51 = 400,
	CLD_C2_52 = 401,
	CLD_C2_53 = 402,
	CLD_C2_54 = 403,
	CLD_C2_55 = 404,
	CLD_C2_56 = 405,
	CLD_C2_57 = 406,
	CLD_C2_58 = 407,
	CLD_C2_59 = 408,
	CLD_C2_60 = 409,
	CLD_C2_61 = 410,
	CLD_C2_62 = 411,
	CLD_C2_63 = 412,
	CLD_C2_64 = 413,
	CLD_C2_65 = 414,
	CLD_C2_66 = 415,
	CLD_C2_67 = 416,
	CLD_C2_68 = 417,
	CLD_C2_69 = 418,
	CLD_C2_70 = 419,
	CLD_C2_71 = 420,
	CLD_C2_72 = 421,
	CLD_C2_73 = 422,
	CLD_C2_74 = 423,
	CLD_C2_75 = 424,
	CLD_C2_76 = 425,
	CLD_C2_77 = 426,
	CLD_C2_78 = 427,
	CLD_C2_79 = 428,
	CLD_C2_80 = 429,
	CLD_C2_81 = 430,
	CLD_C2_82 = 431,
	CLD_C2_83 = 432,
	CLD_C2_84 = 433,
	CLD_C2_85 = 434,
	CLD_C2_86 = 435,
	CLD_C2_87 = 436,
	CLD_C2_88 = 437,
	CLD_C2_89 = 438,
	CLD_C2_90 = 439,
	CLD_C2_91 = 440,
	CLD_C2_92 = 441,
	CLD_C2_93 = 442,
	CLD_C2_94 = 443,
	CLD_C2_95 = 444,
	CLD_C2_96 = 445,
	CLD_C2_97 = 446,
	CLD_C2_98 = 447,
	CLD_C2_99 = 448,
	CLD_C2_100 = 449,
	CLD_C2_101 = 450,
	CLD_C2_102 = 451,
	CLD_C2_103 = 452,
	CLD_C2_104 = 453,
	CLD_C2_105 = 454,
	CLD_C2_106 = 455,
	CLD_C2_107 = 456,
	CLD_C2_108 = 457,
	CLD_C2_109 = 458,
	CLD_C2_110 = 459,
	CLD_C2_111 = 460,
	CLD_C2_112 = 461,
	CLD_C2_113 = 462,
	CLD_C2_114 = 463,
	CLD_C2_115 = 464,
	CLD_C2_116 = 465,
	CLD_C2_117 = 466,
	CLD_C2_118 = 467,
	CLD_C2_119 = 468,
	CLD_C2_120 = 469,
	CLD_C2_121 = 470,
	CLD_C2_122 = 471,
	CLD_C2_123 = 472,
	CLD_C2_124 = 473,
	CLD_C2_125 = 474,
	CLD_C2_126 = 475,
	CLD_C2_127 = 476,
	CLD_C2_128 = 477,
	CLD_C2_129 = 478,
	CLD_C2_130 = 479,
	CLD_C2_131 = 480,
	CLD_C2_132 = 481,
	CLD_C2_133 = 482,
	CLD_C2_134 = 483,
	CLD_C2_135 = 484,
	CLD_C2_136 = 485,
	CLD_C2_137 = 486,
	CLD_C2_138 = 487,
	CLD_C2_139 = 488,
	CLD_C2_140 = 489,
	CLD_C2_141 = 490,
	CLD_C2_142 = 491,
	CLD_C2_143 = 492,
	CLD_C2_144 = 493,
	CLD_C2_145 = 494,
	CLD_C2_146 = 495,
	CLD_C2_147 = 496,
	CLD_C2_148 = 497,
	CLD_C2_149 = 498,
	CLD_C2_150 = 499,

	CLI_Oem1 = 500,
	CLI_Oem2 = 501,
	CLI_Oem3 = 502,
	CLI_Oem4 = 503,
	CLI_Oem5 = 504,
	CLI_Oem6 = 505,
	CLI_Oem7 = 506,
	CLI_Oem8 = 507,
	CLI_Oem9 = 508,
	CLI_Oem10 = 509,
	CLI_Oem11 = 510,
	CLI_Oem12 = 511,
	CLI_Oem13 = 512,
	CLI_Oem14 = 513,
	CLI_Oem15 = 514,
	CLI_Oem16 = 515,
	CLI_Oem17 = 516,
	CLI_Oem18 = 517,
	CLI_Oem19 = 518,
	CLI_Oem20 = 519,
	CLI_Oem21 = 520,
	CLI_Oem22 = 521,
	CLI_Oem23 = 522,
	CLI_Oem24 = 523,
	CLI_Oem25 = 524,
	CLI_Oem26 = 525,
	CLI_Oem27 = 526,
	CLI_Oem28 = 527,
	CLI_Oem29 = 528,
	CLI_Oem30 = 529,
	CLI_Oem31 = 530,
	CLI_Oem32 = 531,
	CLI_Oem33 = 532,
	CLI_Oem34 = 533,
	CLI_Oem35 = 534,
	CLI_Oem36 = 535,
	CLI_Oem37 = 536,
	CLI_Oem38 = 537,
	CLI_Oem39 = 538,
	CLI_Oem40 = 539,
	CLI_Oem41 = 540,
	CLI_Oem42 = 541,
	CLI_Oem43 = 542,
	CLI_Oem44 = 543,
	CLI_Oem45 = 544,
	CLI_Oem46 = 545,
	CLI_Oem47 = 546,
	CLI_Oem48 = 547,
	CLI_Oem49 = 548,
	CLI_Oem50 = 549,
	CLI_Oem51 = 550,
	CLI_Oem52 = 551,
	CLI_Oem53 = 552,
	CLI_Oem54 = 553,
	CLI_Oem55 = 554,
	CLI_Oem56 = 555,
	CLI_Oem57 = 556,
	CLI_Oem58 = 557,
	CLI_Oem59 = 558,
	CLI_Oem60 = 559,
	CLI_Oem61 = 560,
	CLI_Oem62 = 561,
	CLI_Oem63 = 562,
	CLI_Oem64 = 563,
	CLI_Oem65 = 564,
	CLI_Oem66 = 565,
	CLI_Oem67 = 566,
	CLI_Oem68 = 567,
	CLI_Oem69 = 568,
	CLI_Oem70 = 569,
	CLI_Oem71 = 570,
	CLI_Oem72 = 571,
	CLI_Oem73 = 572,
	CLI_Oem74 = 573,
	CLI_Oem75 = 574,
	CLI_Oem76 = 575,
	CLI_Oem77 = 576,
	CLI_Oem78 = 577,
	CLI_Oem79 = 578,
	CLI_Oem80 = 579,
	CLI_Oem81 = 580,
	CLI_Oem82 = 581,
	CLI_Oem83 = 582,
	CLI_Oem84 = 583,
	CLI_Oem85 = 584,
	CLI_Oem86 = 585,
	CLI_Oem87 = 586,
	CLI_Oem88 = 587,
	CLI_Oem89 = 588,
	CLI_Oem90 = 589,
	CLI_Oem91 = 590,
	CLI_Oem92 = 591,
	CLI_Oem93 = 592,
	CLI_Oem94 = 593,
	CLI_Oem95 = 594,
	CLI_Oem96 = 595,
	CLI_Oem97 = 596,
	CLI_Oem98 = 597,
	CLI_Oem99 = 598,
	CLI_Oem100 = 599,

	CLDRAM_1 = 600,
	CLDRAM_2 = 601,
	CLDRAM_3 = 602,
	CLDRAM_4 = 603,
	CLDRAM_5 = 604,
	CLDRAM_6 = 605,
	CLDRAM_7 = 606,
	CLDRAM_8 = 607,
	CLDRAM_9 = 608,
	CLDRAM_10 = 609,
	CLDRAM_11 = 610,
	CLDRAM_12 = 611,

	CLD_C3_1 = 612,
	CLD_C3_2 = 613,
	CLD_C3_3 = 614,
	CLD_C3_4 = 615,
	CLD_C3_5 = 616,
	CLD_C3_6 = 617,
	CLD_C3_7 = 618,
	CLD_C3_8 = 619,
	CLD_C3_9 = 620,
	CLD_C3_10 = 621,
	CLD_C3_11 = 622,
	CLD_C3_12 = 623,
	CLD_C3_13 = 624,
	CLD_C3_14 = 625,
	CLD_C3_15 = 626,
	CLD_C3_16 = 627,
	CLD_C3_17 = 628,
	CLD_C3_18 = 629,
	CLD_C3_19 = 630,
	CLD_C3_20 = 631,
	CLD_C3_21 = 632,
	CLD_C3_22 = 633,
	CLD_C3_23 = 634,
	CLD_C3_24 = 635,
	CLD_C3_25 = 636,
	CLD_C3_26 = 637,
	CLD_C3_27 = 638,
	CLD_C3_28 = 639,
	CLD_C3_29 = 640,
	CLD_C3_30 = 641,
	CLD_C3_31 = 642,
	CLD_C3_32 = 643,
	CLD_C3_33 = 644,
	CLD_C3_34 = 645,
	CLD_C3_35 = 646,
	CLD_C3_36 = 647,
	CLD_C3_37 = 648,
	CLD_C3_38 = 649,
	CLD_C3_39 = 650,
	CLD_C3_40 = 651,
	CLD_C3_41 = 652,
	CLD_C3_42 = 653,
	CLD_C3_43 = 654,
	CLD_C3_44 = 655,
	CLD_C3_45 = 656,
	CLD_C3_46 = 657,
	CLD_C3_47 = 658,
	CLD_C3_48 = 659,
	CLD_C3_49 = 660,
	CLD_C3_50 = 661,
	CLD_C3_51 = 662,
	CLD_C3_52 = 663,
	CLD_C3_53 = 664,
	CLD_C3_54 = 665,
	CLD_C3_55 = 666,
	CLD_C3_56 = 667,
	CLD_C3_57 = 668,
	CLD_C3_58 = 669,
	CLD_C3_59 = 670,
	CLD_C3_60 = 671,
	CLD_C3_61 = 672,
	CLD_C3_62 = 673,
	CLD_C3_63 = 674,
	CLD_C3_64 = 675,
	CLD_C3_65 = 676,
	CLD_C3_66 = 677,
	CLD_C3_67 = 678,
	CLD_C3_68 = 679,
	CLD_C3_69 = 680,
	CLD_C3_70 = 681,
	CLD_C3_71 = 682,
	CLD_C3_72 = 683,
	CLD_C3_73 = 684,
	CLD_C3_74 = 685,
	CLD_C3_75 = 686,
	CLD_C3_76 = 687,
	CLD_C3_77 = 688,
	CLD_C3_78 = 689,
	CLD_C3_79 = 690,
	CLD_C3_80 = 691,
	CLD_C3_81 = 692,
	CLD_C3_82 = 693,
	CLD_C3_83 = 694,
	CLD_C3_84 = 695,
	CLD_C3_85 = 696,
	CLD_C3_86 = 697,
	CLD_C3_87 = 698,
	CLD_C3_88 = 699,
	CLD_C3_89 = 700,
	CLD_C3_90 = 701,
	CLD_C3_91 = 702,
	CLD_C3_92 = 703,
	CLD_C3_93 = 704,
	CLD_C3_94 = 705,
	CLD_C3_95 = 706,
	CLD_C3_96 = 707,
	CLD_C3_97 = 708,
	CLD_C3_98 = 709,
	CLD_C3_99 = 710,
	CLD_C3_100 = 711,
	CLD_C3_101 = 712,
	CLD_C3_102 = 713,
	CLD_C3_103 = 714,
	CLD_C3_104 = 715,
	CLD_C3_105 = 716,
	CLD_C3_106 = 717,
	CLD_C3_107 = 718,
	CLD_C3_108 = 719,
	CLD_C3_109 = 720,
	CLD_C3_110 = 721,
	CLD_C3_111 = 722,
	CLD_C3_112 = 723,
	CLD_C3_113 = 724,
	CLD_C3_114 = 725,
	CLD_C3_115 = 726,
	CLD_C3_116 = 727,
	CLD_C3_117 = 728,
	CLD_C3_118 = 729,
	CLD_C3_119 = 730,
	CLD_C3_120 = 731,
	CLD_C3_121 = 732,
	CLD_C3_122 = 733,
	CLD_C3_123 = 734,
	CLD_C3_124 = 735,
	CLD_C3_125 = 736,
	CLD_C3_126 = 737,
	CLD_C3_127 = 738,
	CLD_C3_128 = 739,
	CLD_C3_129 = 740,
	CLD_C3_130 = 741,
	CLD_C3_131 = 742,
	CLD_C3_132 = 743,
	CLD_C3_133 = 744,
	CLD_C3_134 = 745,
	CLD_C3_135 = 746,
	CLD_C3_136 = 747,
	CLD_C3_137 = 748,
	CLD_C3_138 = 749,
	CLD_C3_139 = 750,
	CLD_C3_140 = 751,
	CLD_C3_141 = 752,
	CLD_C3_142 = 753,
	CLD_C3_143 = 754,
	CLD_C3_144 = 755,
	CLD_C3_145 = 756,
	CLD_C3_146 = 757,
	CLD_C3_147 = 758,
	CLD_C3_148 = 759,
	CLD_C3_149 = 760,
	CLD_C3_150 = 761,

	CLLC_C1_1 = 762,
	CLLC_C1_2 = 763,
	CLLC_C1_3 = 764,
	CLLC_C1_4 = 765,
	CLLC_C1_5 = 766,
	CLLC_C1_6 = 767,
	CLLC_C1_7 = 768,
	CLLC_C1_8 = 769,
	CLLC_C1_9 = 770,
	CLLC_C1_10 = 771,
	CLLC_C1_11 = 772,
	CLLC_C1_12 = 773,
	CLLC_C1_13 = 774,
	CLLC_C1_14 = 775,
	CLLC_C1_15 = 776,
	CLLC_C1_16 = 777,
	CLLC_C1_17 = 778,
	CLLC_C1_18 = 779,
	CLLC_C1_19 = 780,
	CLLC_C1_20 = 781,
	CLLC_C1_21 = 782,
	CLLC_C1_22 = 783,
	CLLC_C1_23 = 784,
	CLLC_C1_24 = 785,
	CLLC_C1_25 = 786,
	CLLC_C1_26 = 787,
	CLLC_C1_27 = 788,
	CLLC_C1_28 = 789,
	CLLC_C1_29 = 790,
	CLLC_C1_30 = 791,
	CLLC_C1_31 = 792,
	CLLC_C1_32 = 793,
	CLLC_C1_33 = 794,
	CLLC_C1_34 = 795,
	CLLC_C1_35 = 796,
	CLLC_C1_36 = 797,
	CLLC_C1_37 = 798,
	CLLC_C1_38 = 799,
	CLLC_C1_39 = 800,
	CLLC_C1_40 = 801,
	CLLC_C1_41 = 802,
	CLLC_C1_42 = 803,
	CLLC_C1_43 = 804,
	CLLC_C1_44 = 805,
	CLLC_C1_45 = 806,
	CLLC_C1_46 = 807,
	CLLC_C1_47 = 808,
	CLLC_C1_48 = 809,
	CLLC_C1_49 = 810,
	CLLC_C1_50 = 811,
	CLLC_C1_51 = 812,
	CLLC_C1_52 = 813,
	CLLC_C1_53 = 814,
	CLLC_C1_54 = 815,
	CLLC_C1_55 = 816,
	CLLC_C1_56 = 817,
	CLLC_C1_57 = 818,
	CLLC_C1_58 = 819,
	CLLC_C1_59 = 820,
	CLLC_C1_60 = 821,
	CLLC_C1_61 = 822,
	CLLC_C1_62 = 823,
	CLLC_C1_63 = 824,
	CLLC_C1_64 = 825,
	CLLC_C1_65 = 826,
	CLLC_C1_66 = 827,
	CLLC_C1_67 = 828,
	CLLC_C1_68 = 829,
	CLLC_C1_69 = 830,
	CLLC_C1_70 = 831,
	CLLC_C1_71 = 832,
	CLLC_C1_72 = 833,
	CLLC_C1_73 = 834,
	CLLC_C1_74 = 835,
	CLLC_C1_75 = 836,
	CLLC_C1_76 = 837,
	CLLC_C1_77 = 838,
	CLLC_C1_78 = 839,
	CLLC_C1_79 = 840,
	CLLC_C1_80 = 841,
	CLLC_C1_81 = 842,
	CLLC_C1_82 = 843,
	CLLC_C1_83 = 844,
	CLLC_C1_84 = 845,
	CLLC_C1_85 = 846,
	CLLC_C1_86 = 847,
	CLLC_C1_87 = 848,
	CLLC_C1_88 = 849,
	CLLC_C1_89 = 850,
	CLLC_C1_90 = 851,
	CLLC_C1_91 = 852,
	CLLC_C1_92 = 853,
	CLLC_C1_93 = 854,
	CLLC_C1_94 = 855,
	CLLC_C1_95 = 856,
	CLLC_C1_96 = 857,
	CLLC_C1_97 = 858,
	CLLC_C1_98 = 859,
	CLLC_C1_99 = 860,
	CLLC_C1_100 = 861,
	CLLC_C1_101 = 862,
	CLLC_C1_102 = 863,
	CLLC_C1_103 = 864,
	CLLC_C1_104 = 865,
	CLLC_C1_105 = 866,
	CLLC_C1_106 = 867,
	CLLC_C1_107 = 868,
	CLLC_C1_108 = 869,
	CLLC_C1_109 = 870,
	CLLC_C1_110 = 871,
	CLLC_C1_111 = 872,
	CLLC_C1_112 = 873,
	CLLC_C1_113 = 874,
	CLLC_C1_114 = 875,
	CLLC_C1_115 = 876,
	CLLC_C1_116 = 877,
	CLLC_C1_117 = 878,
	CLLC_C1_118 = 879,
	CLLC_C1_119 = 880,
	CLLC_C1_120 = 881,
	CLLC_C1_121 = 882,
	CLLC_C1_122 = 883,
	CLLC_C1_123 = 884,
	CLLC_C1_124 = 885,
	CLLC_C1_125 = 886,
	CLLC_C1_126 = 887,
	CLLC_C1_127 = 888,
	CLLC_C1_128 = 889,
	CLLC_C1_129 = 890,
	CLLC_C1_130 = 891,
	CLLC_C1_131 = 892,
	CLLC_C1_132 = 893,
	CLLC_C1_133 = 894,
	CLLC_C1_134 = 895,
	CLLC_C1_135 = 896,
	CLLC_C1_136 = 897,
	CLLC_C1_137 = 898,
	CLLC_C1_138 = 899,
	CLLC_C1_139 = 900,
	CLLC_C1_140 = 901,
	CLLC_C1_141 = 902,
	CLLC_C1_142 = 903,
	CLLC_C1_143 = 904,
	CLLC_C1_144 = 905,
	CLLC_C1_145 = 906,
	CLLC_C1_146 = 907,
	CLLC_C1_147 = 908,
	CLLC_C1_148 = 909,
	CLLC_C1_149 = 910,
	CLLC_C1_150 = 911,

	CLD_C1_151 = 912,
	CLD_C1_152 = 913,
	CLD_C1_153 = 914,
	CLD_C1_154 = 915,
	CLD_C1_155 = 916,
	CLD_C1_156 = 917,
	CLD_C1_157 = 918,
	CLD_C1_158 = 919,
	CLD_C1_159 = 920,
	CLD_C1_160 = 921,
	CLD_C1_161 = 922,
	CLD_C1_162 = 923,
	CLD_C1_163 = 924,
	CLD_C1_164 = 925,
	CLD_C1_165 = 926,
	CLD_C1_166 = 927,
	CLD_C1_167 = 928,
	CLD_C1_168 = 929,
	CLD_C1_169 = 930,
	CLD_C1_170 = 931,
	CLD_C1_171 = 932,
	CLD_C1_172 = 933,
	CLD_C1_173 = 934,
	CLD_C1_174 = 935,
	CLD_C1_175 = 936,
	CLD_C1_176 = 937,
	CLD_C1_177 = 938,
	CLD_C1_178 = 939,
	CLD_C1_179 = 940,
	CLD_C1_180 = 941,
	CLD_C1_181 = 942,
	CLD_C1_182 = 943,
	CLD_C1_183 = 944,
	CLD_C1_184 = 945,
	CLD_C1_185 = 946,
	CLD_C1_186 = 947,
	CLD_C1_187 = 948,
	CLD_C1_188 = 949,
	CLD_C1_189 = 950,
	CLD_C1_190 = 951,
	CLD_C1_191 = 952,
	CLD_C1_192 = 953,
	CLD_C1_193 = 954,
	CLD_C1_194 = 955,
	CLD_C1_195 = 956,
	CLD_C1_196 = 957,
	CLD_C1_197 = 958,
	CLD_C1_198 = 959,
	CLD_C1_199 = 960,
	CLD_C1_200 = 961,
	CLD_C1_201 = 962,
	CLD_C1_202 = 963,
	CLD_C1_203 = 964,
	CLD_C1_204 = 965,
	CLD_C1_205 = 966,
	CLD_C1_206 = 967,
	CLD_C1_207 = 968,
	CLD_C1_208 = 969,
	CLD_C1_209 = 970,
	CLD_C1_210 = 971,
	CLD_C1_211 = 972,
	CLD_C1_212 = 973,
	CLD_C1_213 = 974,
	CLD_C1_214 = 975,
	CLD_C1_215 = 976,
	CLD_C1_216 = 977,
	CLD_C1_217 = 978,
	CLD_C1_218 = 979,
	CLD_C1_219 = 980,
	CLD_C1_220 = 981,
	CLD_C1_221 = 982,
	CLD_C1_222 = 983,
	CLD_C1_223 = 984,
	CLD_C1_224 = 985,
	CLD_C1_225 = 986,
	CLD_C1_226 = 987,
	CLD_C1_227 = 988,
	CLD_C1_228 = 989,
	CLD_C1_229 = 990,
	CLD_C1_230 = 991,
	CLD_C1_231 = 992,
	CLD_C1_232 = 993,
	CLD_C1_233 = 994,
	CLD_C1_234 = 995,
	CLD_C1_235 = 996,
	CLD_C1_236 = 997,
	CLD_C1_237 = 998,
	CLD_C1_238 = 999,
	CLD_C1_239 = 1000,
	CLD_C1_240 = 1001,
	CLD_C1_241 = 1002,
	CLD_C1_242 = 1003,
	CLD_C1_243 = 1004,
	CLD_C1_244 = 1005,
	CLD_C1_245 = 1006,
	CLD_C1_246 = 1007,
	CLD_C1_247 = 1008,
	CLD_C1_248 = 1009,
	CLD_C1_249 = 1010,
	CLD_C1_250 = 1011,
	CLD_C1_251 = 1012,
	CLD_C1_252 = 1013,
	CLD_C1_253 = 1014,
	CLD_C1_254 = 1015,
	CLD_C1_255 = 1016,
	CLD_C1_256 = 1017,
	CLD_C1_257 = 1018,
	CLD_C1_258 = 1019,
	CLD_C1_259 = 1020,
	CLD_C1_260 = 1021,
	CLD_C1_261 = 1022,
	CLD_C1_262 = 1023,
	CLD_C1_263 = 1024,
	CLD_C1_264 = 1025,
	CLD_C1_265 = 1026,
	CLD_C1_266 = 1027,
	CLD_C1_267 = 1028,
	CLD_C1_268 = 1029,
	CLD_C1_269 = 1030,
	CLD_C1_270 = 1031,
	CLD_C1_271 = 1032,
	CLD_C1_272 = 1033,
	CLD_C1_273 = 1034,
	CLD_C1_274 = 1035,
	CLD_C1_275 = 1036,
	CLD_C1_276 = 1037,
	CLD_C1_277 = 1038,
	CLD_C1_278 = 1039,
	CLD_C1_279 = 1040,
	CLD_C1_280 = 1041,
	CLD_C1_281 = 1042,
	CLD_C1_282 = 1043,
	CLD_C1_283 = 1044,
	CLD_C1_284 = 1045,
	CLD_C1_285 = 1046,
	CLD_C1_286 = 1047,
	CLD_C1_287 = 1048,
	CLD_C1_288 = 1049,
	CLD_C1_289 = 1050,
	CLD_C1_290 = 1051,
	CLD_C1_291 = 1052,
	CLD_C1_292 = 1053,
	CLD_C1_293 = 1054,
	CLD_C1_294 = 1055,
	CLD_C1_295 = 1056,
	CLD_C1_296 = 1057,
	CLD_C1_297 = 1058,
	CLD_C1_298 = 1059,
	CLD_C1_299 = 1060,
	CLD_C1_300 = 1061,

	CLD_C2_151 = 1062,
	CLD_C2_152 = 1063,
	CLD_C2_153 = 1064,
	CLD_C2_154 = 1065,
	CLD_C2_155 = 1066,
	CLD_C2_156 = 1067,
	CLD_C2_157 = 1068,
	CLD_C2_158 = 1069,
	CLD_C2_159 = 1070,
	CLD_C2_160 = 1071,
	CLD_C2_161 = 1072,
	CLD_C2_162 = 1073,
	CLD_C2_163 = 1074,
	CLD_C2_164 = 1075,
	CLD_C2_165 = 1076,
	CLD_C2_166 = 1077,
	CLD_C2_167 = 1078,
	CLD_C2_168 = 1079,
	CLD_C2_169 = 1080,
	CLD_C2_170 = 1081,
	CLD_C2_171 = 1082,
	CLD_C2_172 = 1083,
	CLD_C2_173 = 1084,
	CLD_C2_174 = 1085,
	CLD_C2_175 = 1086,
	CLD_C2_176 = 1087,
	CLD_C2_177 = 1088,
	CLD_C2_178 = 1089,
	CLD_C2_179 = 1090,
	CLD_C2_180 = 1091,
	CLD_C2_181 = 1092,
	CLD_C2_182 = 1093,
	CLD_C2_183 = 1094,
	CLD_C2_184 = 1095,
	CLD_C2_185 = 1096,
	CLD_C2_186 = 1097,
	CLD_C2_187 = 1098,
	CLD_C2_188 = 1099,
	CLD_C2_189 = 1100,
	CLD_C2_190 = 1101,
	CLD_C2_191 = 1102,
	CLD_C2_192 = 1103,
	CLD_C2_193 = 1104,
	CLD_C2_194 = 1105,
	CLD_C2_195 = 1106,
	CLD_C2_196 = 1107,
	CLD_C2_197 = 1108,
	CLD_C2_198 = 1109,
	CLD_C2_199 = 1110,
	CLD_C2_200 = 1111,
	CLD_C2_201 = 1112,
	CLD_C2_202 = 1113,
	CLD_C2_203 = 1114,
	CLD_C2_204 = 1115,
	CLD_C2_205 = 1116,
	CLD_C2_206 = 1117,
	CLD_C2_207 = 1118,
	CLD_C2_208 = 1119,
	CLD_C2_209 = 1120,
	CLD_C2_210 = 1121,
	CLD_C2_211 = 1122,
	CLD_C2_212 = 1123,
	CLD_C2_213 = 1124,
	CLD_C2_214 = 1125,
	CLD_C2_215 = 1126,
	CLD_C2_216 = 1127,
	CLD_C2_217 = 1128,
	CLD_C2_218 = 1129,
	CLD_C2_219 = 1130,
	CLD_C2_220 = 1131,
	CLD_C2_221 = 1132,
	CLD_C2_222 = 1133,
	CLD_C2_223 = 1134,
	CLD_C2_224 = 1135,
	CLD_C2_225 = 1136,
	CLD_C2_226 = 1137,
	CLD_C2_227 = 1138,
	CLD_C2_228 = 1139,
	CLD_C2_229 = 1140,
	CLD_C2_230 = 1141,
	CLD_C2_231 = 1142,
	CLD_C2_232 = 1143,
	CLD_C2_233 = 1144,
	CLD_C2_234 = 1145,
	CLD_C2_235 = 1146,
	CLD_C2_236 = 1147,
	CLD_C2_237 = 1148,
	CLD_C2_238 = 1149,
	CLD_C2_239 = 1150,
	CLD_C2_240 = 1151,
	CLD_C2_241 = 1152,
	CLD_C2_242 = 1153,
	CLD_C2_243 = 1154,
	CLD_C2_244 = 1155,
	CLD_C2_245 = 1156,
	CLD_C2_246 = 1157,
	CLD_C2_247 = 1158,
	CLD_C2_248 = 1159,
	CLD_C2_249 = 1160,
	CLD_C2_250 = 1161,
	CLD_C2_251 = 1162,
	CLD_C2_252 = 1163,
	CLD_C2_253 = 1164,
	CLD_C2_254 = 1165,
	CLD_C2_255 = 1166,
	CLD_C2_256 = 1167,
	CLD_C2_257 = 1168,
	CLD_C2_258 = 1169,
	CLD_C2_259 = 1170,
	CLD_C2_260 = 1171,
	CLD_C2_261 = 1172,
	CLD_C2_262 = 1173,
	CLD_C2_263 = 1174,
	CLD_C2_264 = 1175,
	CLD_C2_265 = 1176,
	CLD_C2_266 = 1177,
	CLD_C2_267 = 1178,
	CLD_C2_268 = 1179,
	CLD_C2_269 = 1180,
	CLD_C2_270 = 1181,
	CLD_C2_271 = 1182,
	CLD_C2_272 = 1183,
	CLD_C2_273 = 1184,
	CLD_C2_274 = 1185,
	CLD_C2_275 = 1186,
	CLD_C2_276 = 1187,
	CLD_C2_277 = 1188,
	CLD_C2_278 = 1189,
	CLD_C2_279 = 1190,
	CLD_C2_280 = 1191,
	CLD_C2_281 = 1192,
	CLD_C2_282 = 1193,
	CLD_C2_283 = 1194,
	CLD_C2_284 = 1195,
	CLD_C2_285 = 1196,
	CLD_C2_286 = 1197,
	CLD_C2_287 = 1198,
	CLD_C2_288 = 1199,
	CLD_C2_289 = 1200,
	CLD_C2_290 = 1201,
	CLD_C2_291 = 1202,
	CLD_C2_292 = 1203,
	CLD_C2_293 = 1204,
	CLD_C2_294 = 1205,
	CLD_C2_295 = 1206,
	CLD_C2_296 = 1207,
	CLD_C2_297 = 1208,
	CLD_C2_298 = 1209,
	CLD_C2_299 = 1210,
	CLD_C2_300 = 1211,

	CLD_C3_151 = 1212,
	CLD_C3_152 = 1213,
	CLD_C3_153 = 1214,
	CLD_C3_154 = 1215,
	CLD_C3_155 = 1216,
	CLD_C3_156 = 1217,
	CLD_C3_157 = 1218,
	CLD_C3_158 = 1219,
	CLD_C3_159 = 1220,
	CLD_C3_160 = 1221,
	CLD_C3_161 = 1222,
	CLD_C3_162 = 1223,
	CLD_C3_163 = 1224,
	CLD_C3_164 = 1225,
	CLD_C3_165 = 1226,
	CLD_C3_166 = 1227,
	CLD_C3_167 = 1228,
	CLD_C3_168 = 1229,
	CLD_C3_169 = 1230,
	CLD_C3_170 = 1231,
	CLD_C3_171 = 1232,
	CLD_C3_172 = 1233,
	CLD_C3_173 = 1234,
	CLD_C3_174 = 1235,
	CLD_C3_175 = 1236,
	CLD_C3_176 = 1237,
	CLD_C3_177 = 1238,
	CLD_C3_178 = 1239,
	CLD_C3_179 = 1240,
	CLD_C3_180 = 1241,
	CLD_C3_181 = 1242,
	CLD_C3_182 = 1243,
	CLD_C3_183 = 1244,
	CLD_C3_184 = 1245,
	CLD_C3_185 = 1246,
	CLD_C3_186 = 1247,
	CLD_C3_187 = 1248,
	CLD_C3_188 = 1249,
	CLD_C3_189 = 1250,
	CLD_C3_190 = 1251,
	CLD_C3_191 = 1252,
	CLD_C3_192 = 1253,
	CLD_C3_193 = 1254,
	CLD_C3_194 = 1255,
	CLD_C3_195 = 1256,
	CLD_C3_196 = 1257,
	CLD_C3_197 = 1258,
	CLD_C3_198 = 1259,
	CLD_C3_199 = 1260,
	CLD_C3_200 = 1261,
	CLD_C3_201 = 1262,
	CLD_C3_202 = 1263,
	CLD_C3_203 = 1264,
	CLD_C3_204 = 1265,
	CLD_C3_205 = 1266,
	CLD_C3_206 = 1267,
	CLD_C3_207 = 1268,
	CLD_C3_208 = 1269,
	CLD_C3_209 = 1270,
	CLD_C3_210 = 1271,
	CLD_C3_211 = 1272,
	CLD_C3_212 = 1273,
	CLD_C3_213 = 1274,
	CLD_C3_214 = 1275,
	CLD_C3_215 = 1276,
	CLD_C3_216 = 1277,
	CLD_C3_217 = 1278,
	CLD_C3_218 = 1279,
	CLD_C3_219 = 1280,
	CLD_C3_220 = 1281,
	CLD_C3_221 = 1282,
	CLD_C3_222 = 1283,
	CLD_C3_223 = 1284,
	CLD_C3_224 = 1285,
	CLD_C3_225 = 1286,
	CLD_C3_226 = 1287,
	CLD_C3_227 = 1288,
	CLD_C3_228 = 1289,
	CLD_C3_229 = 1290,
	CLD_C3_230 = 1291,
	CLD_C3_231 = 1292,
	CLD_C3_232 = 1293,
	CLD_C3_233 = 1294,
	CLD_C3_234 = 1295,
	CLD_C3_235 = 1296,
	CLD_C3_236 = 1297,
	CLD_C3_237 = 1298,
	CLD_C3_238 = 1299,
	CLD_C3_239 = 1300,
	CLD_C3_240 = 1301,
	CLD_C3_241 = 1302,
	CLD_C3_242 = 1303,
	CLD_C3_243 = 1304,
	CLD_C3_244 = 1305,
	CLD_C3_245 = 1306,
	CLD_C3_246 = 1307,
	CLD_C3_247 = 1308,
	CLD_C3_248 = 1309,
	CLD_C3_249 = 1310,
	CLD_C3_250 = 1311,
	CLD_C3_251 = 1312,
	CLD_C3_252 = 1313,
	CLD_C3_253 = 1314,
	CLD_C3_254 = 1315,
	CLD_C3_255 = 1316,
	CLD_C3_256 = 1317,
	CLD_C3_257 = 1318,
	CLD_C3_258 = 1319,
	CLD_C3_259 = 1320,
	CLD_C3_260 = 1321,
	CLD_C3_261 = 1322,
	CLD_C3_262 = 1323,
	CLD_C3_263 = 1324,
	CLD_C3_264 = 1325,
	CLD_C3_265 = 1326,
	CLD_C3_266 = 1327,
	CLD_C3_267 = 1328,
	CLD_C3_268 = 1329,
	CLD_C3_269 = 1330,
	CLD_C3_270 = 1331,
	CLD_C3_271 = 1332,
	CLD_C3_272 = 1333,
	CLD_C3_273 = 1334,
	CLD_C3_274 = 1335,
	CLD_C3_275 = 1336,
	CLD_C3_276 = 1337,
	CLD_C3_277 = 1338,
	CLD_C3_278 = 1339,
	CLD_C3_279 = 1340,
	CLD_C3_280 = 1341,
	CLD_C3_281 = 1342,
	CLD_C3_282 = 1343,
	CLD_C3_283 = 1344,
	CLD_C3_284 = 1345,
	CLD_C3_285 = 1346,
	CLD_C3_286 = 1347,
	CLD_C3_287 = 1348,
	CLD_C3_288 = 1349,
	CLD_C3_289 = 1350,
	CLD_C3_290 = 1351,
	CLD_C3_291 = 1352,
	CLD_C3_292 = 1353,
	CLD_C3_293 = 1354,
	CLD_C3_294 = 1355,
	CLD_C3_295 = 1356,
	CLD_C3_296 = 1357,
	CLD_C3_297 = 1358,
	CLD_C3_298 = 1359,
	CLD_C3_299 = 1360,
	CLD_C3_300 = 1361,

	CLMB_Zone1 = 1362,
	CLMB_Zone2 = 1363,
	CLMB_Zone3 = 1364,
	CLMB_Zone4 = 1365,
	CLMB_Zone5 = 1366,
	CLMB_Zone6 = 1367,
	CLMB_Zone7 = 1368,
	CLMB_Zone8 = 1369,
	CLMB_Zone9 = 1370,
	CLMB_Zone10 = 1371,
	CLMB_Zone11 = 1372,
	CLMB_Zone12 = 1373,
	CLMB_Zone13 = 1374,
	CLMB_Zone14 = 1375,
	CLMB_Zone15 = 1376,
	CLMB_Zone16 = 1377,
	CLMB_Zone17 = 1378,
	CLMB_Zone18 = 1379,
	CLMB_Zone19 = 1380,
	CLMB_Zone20 = 1381,
	CLMB_Zone21 = 1382,
	CLMB_Zone22 = 1383,
	CLMB_Zone23 = 1384,
	CLMB_Zone24 = 1385,
	CLMB_Zone25 = 1386,
	CLMB_Zone26 = 1387,
	CLMB_Zone27 = 1388,
	CLMB_Zone28 = 1389,
	CLMB_Zone29 = 1390,
	CLMB_Zone30 = 1391,
	CLMB_Zone31 = 1392,
	CLMB_Zone32 = 1393,
	CLMB_Zone33 = 1394,
	CLMB_Zone34 = 1395,
	CLMB_Zone35 = 1396,
	CLMB_Zone36 = 1397,
	CLMB_Zone37 = 1398,
	CLMB_Zone38 = 1399,
	CLMB_Zone39 = 1400,
	CLMB_Zone40 = 1401,
	CLMB_Zone41 = 1402,
	CLMB_Zone42 = 1403,
	CLMB_Zone43 = 1404,
	CLMB_Zone44 = 1405,
	CLMB_Zone45 = 1406,
	CLMB_Zone46 = 1407,
	CLMB_Zone47 = 1408,
	CLMB_Zone48 = 1409,
	CLMB_Zone49 = 1410,
	CLMB_Zone50 = 1411,
	CLMB_Zone51 = 1412,
	CLMB_Zone52 = 1413,
	CLMB_Zone53 = 1414,
	CLMB_Zone54 = 1415,
	CLMB_Zone55 = 1416,
	CLMB_Zone56 = 1417,
	CLMB_Zone57 = 1418,
	CLMB_Zone58 = 1419,
	CLMB_Zone59 = 1420,
	CLMB_Zone60 = 1421,
	CLMB_Zone61 = 1422,
	CLMB_Zone62 = 1423,
	CLMB_Zone63 = 1424,
	CLMB_Zone64 = 1425,
	CLMB_Zone65 = 1426,
	CLMB_Zone66 = 1427,
	CLMB_Zone67 = 1428,
	CLMB_Zone68 = 1429,
	CLMB_Zone69 = 1430,
	CLMB_Zone70 = 1431,
	CLMB_Zone71 = 1432,
	CLMB_Zone72 = 1433,
	CLMB_Zone73 = 1434,
	CLMB_Zone74 = 1435,
	CLMB_Zone75 = 1436,
	CLMB_Zone76 = 1437,
	CLMB_Zone77 = 1438,
	CLMB_Zone78 = 1439,
	CLMB_Zone79 = 1440,
	CLMB_Zone80 = 1441,
	CLMB_Zone81 = 1442,
	CLMB_Zone82 = 1443,
	CLMB_Zone83 = 1444,
	CLMB_Zone84 = 1445,
	CLMB_Zone85 = 1446,
	CLMB_Zone86 = 1447,
	CLMB_Zone87 = 1448,
	CLMB_Zone88 = 1449,
	CLMB_Zone89 = 1450,
	CLMB_Zone90 = 1451,
	CLMB_Zone91 = 1452,
	CLMB_Zone92 = 1453,
	CLMB_Zone93 = 1454,
	CLMB_Zone94 = 1455,
	CLMB_Zone95 = 1456,
	CLMB_Zone96 = 1457,
	CLMB_Zone97 = 1458,
	CLMB_Zone98 = 1459,
	CLMB_Zone99 = 1460,
	CLMB_Zone100 = 1461,

	CLGPU_Zone1 = 1462,
	CLGPU_Zone2 = 1463,
	CLGPU_Zone3 = 1464,
	CLGPU_Zone4 = 1465,
	CLGPU_Zone5 = 1466,
	CLGPU_Zone6 = 1467,
	CLGPU_Zone7 = 1468,
	CLGPU_Zone8 = 1469,
	CLGPU_Zone9 = 1470,
	CLGPU_Zone10 = 1471,
	CLGPU_Zone11 = 1472,
	CLGPU_Zone12 = 1473,
	CLGPU_Zone13 = 1474,
	CLGPU_Zone14 = 1475,
	CLGPU_Zone15 = 1476,
	CLGPU_Zone16 = 1477,
	CLGPU_Zone17 = 1478,
	CLGPU_Zone18 = 1479,
	CLGPU_Zone19 = 1480,
	CLGPU_Zone20 = 1481,
	CLGPU_Zone21 = 1482,
	CLGPU_Zone22 = 1483,
	CLGPU_Zone23 = 1484,
	CLGPU_Zone24 = 1485,
	CLGPU_Zone25 = 1486,
	CLGPU_Zone26 = 1487,
	CLGPU_Zone27 = 1488,
	CLGPU_Zone28 = 1489,
	CLGPU_Zone29 = 1490,
	CLGPU_Zone30 = 1491,
	CLGPU_Zone31 = 1492,
	CLGPU_Zone32 = 1493,
	CLGPU_Zone33 = 1494,
	CLGPU_Zone34 = 1495,
	CLGPU_Zone35 = 1496,
	CLGPU_Zone36 = 1497,
	CLGPU_Zone37 = 1498,
	CLGPU_Zone38 = 1499,
	CLGPU_Zone39 = 1500,
	CLGPU_Zone40 = 1501,
	CLGPU_Zone41 = 1502,
	CLGPU_Zone42 = 1503,
	CLGPU_Zone43 = 1504,
	CLGPU_Zone44 = 1505,
	CLGPU_Zone45 = 1506,
	CLGPU_Zone46 = 1507,
	CLGPU_Zone47 = 1508,
	CLGPU_Zone48 = 1509,
	CLGPU_Zone49 = 1510,
	CLGPU_Zone50 = 1511,

	CLKLP_Zone20 = 1512,
	CLKLP_Zone21 = 1513,
	CLKLP_Zone22 = 1514,
	CLKLP_Zone23 = 1515,
	CLKLP_Zone24 = 1516,
	CLKLP_Zone25 = 1517,
	CLKLP_Zone26 = 1518,
	CLKLP_Zone27 = 1519,
	CLKLP_Zone28 = 1520,
	CLKLP_Zone29 = 1521,
	CLKLP_Zone30 = 1522,
	CLKLP_Zone31 = 1523,
	CLKLP_Zone32 = 1524,
	CLKLP_Zone33 = 1525,
	CLKLP_Zone34 = 1526,
	CLKLP_Zone35 = 1527,
	CLKLP_Zone36 = 1528,
	CLKLP_Zone37 = 1529,
	CLKLP_Zone38 = 1530,
	CLKLP_Zone39 = 1531,
	CLKLP_Zone40 = 1532,
	CLKLP_Zone41 = 1533,
	CLKLP_Zone42 = 1534,
	CLKLP_Zone43 = 1535,
	CLKLP_Zone44 = 1536,
	CLKLP_Zone45 = 1537,
	CLKLP_Zone46 = 1538,
	CLKLP_Zone47 = 1539,
	CLKLP_Zone48 = 1540,
	CLKLP_Zone49 = 1541,
	CLKLP_Zone50 = 1542,

	CLK_Profile = 1543,

	CLI_Oem101 = 1544,
	CLI_Oem102 = 1545,
	CLI_Oem103 = 1546,
	CLI_Oem104 = 1547,
	CLI_Oem105 = 1548,
	CLI_Oem106 = 1549,
	CLI_Oem107 = 1550,
	CLI_Oem108 = 1551,
	CLI_Oem109 = 1552,
	CLI_Oem110 = 1553,
	CLI_Oem111 = 1554,
	CLI_Oem112 = 1555,
	CLI_Oem113 = 1556,
	CLI_Oem114 = 1557,
	CLI_Oem115 = 1558,
	CLI_Oem116 = 1559,
	CLI_Oem117 = 1560,
	CLI_Oem118 = 1561,
	CLI_Oem119 = 1562,
	CLI_Oem120 = 1563,
	CLI_Oem121 = 1564,
	CLI_Oem122 = 1565,
	CLI_Oem123 = 1566,
	CLI_Oem124 = 1567,
	CLI_Oem125 = 1568,
	CLI_Oem126 = 1569,
	CLI_Oem127 = 1570,
	CLI_Oem128 = 1571,
	CLI_Oem129 = 1572,
	CLI_Oem130 = 1573,
	CLI_Oem131 = 1574,
	CLI_Oem132 = 1575,
	CLI_Oem133 = 1576,
	CLI_Oem134 = 1577,
	CLI_Oem135 = 1578,
	CLI_Oem136 = 1579,
	CLI_Oem137 = 1580,
	CLI_Oem138 = 1581,
	CLI_Oem139 = 1582,
	CLI_Oem140 = 1583,
	CLI_Oem141 = 1584,
	CLI_Oem142 = 1585,
	CLI_Oem143 = 1586,
	CLI_Oem144 = 1587,
	CLI_Oem145 = 1588,
	CLI_Oem146 = 1589,
	CLI_Oem147 = 1590,
	CLI_Oem148 = 1591,
	CLI_Oem149 = 1592,
	CLI_Oem150 = 1593,
	CLI_Oem151 = 1594,
	CLI_Oem152 = 1595,
	CLI_Oem153 = 1596,
	CLI_Oem154 = 1597,
	CLI_Oem155 = 1598,
	CLI_Oem156 = 1599,
	CLI_Oem157 = 1600,
	CLI_Oem158 = 1601,
	CLI_Oem159 = 1602,
	CLI_Oem160 = 1603,
	CLI_Oem161 = 1604,
	CLI_Oem162 = 1605,
	CLI_Oem163 = 1606,
	CLI_Oem164 = 1607,
	CLI_Oem165 = 1608,
	CLI_Oem166 = 1609,
	CLI_Oem167 = 1610,
	CLI_Oem168 = 1611,
	CLI_Oem169 = 1612,
	CLI_Oem170 = 1613,
	CLI_Oem171 = 1614,
	CLI_Oem172 = 1615,
	CLI_Oem173 = 1616,
	CLI_Oem174 = 1617,
	CLI_Oem175 = 1618,
	CLI_Oem176 = 1619,
	CLI_Oem177 = 1620,
	CLI_Oem178 = 1621,
	CLI_Oem179 = 1622,
	CLI_Oem180 = 1623,
	CLI_Oem181 = 1624,
	CLI_Oem182 = 1625,
	CLI_Oem183 = 1626,
	CLI_Oem184 = 1627,
	CLI_Oem185 = 1628,
	CLI_Oem186 = 1629,
	CLI_Oem187 = 1630,
	CLI_Oem188 = 1631,
	CLI_Oem189 = 1632,
	CLI_Oem190 = 1633,
	CLI_Oem191 = 1634,
	CLI_Oem192 = 1635,
	CLI_Oem193 = 1636,
	CLI_Oem194 = 1637,
	CLI_Oem195 = 1638,
	CLI_Oem196 = 1639,
	CLI_Oem197 = 1640,
	CLI_Oem198 = 1641,
	CLI_Oem199 = 1642,
	CLI_Oem200 = 1643,
	CLI_Oem201 = 1644,
	CLI_Oem202 = 1645,
	CLI_Oem203 = 1646,
	CLI_Oem204 = 1647,
	CLI_Oem205 = 1648,
	CLI_Oem206 = 1649,
	CLI_Oem207 = 1650,
	CLI_Oem208 = 1651,
	CLI_Oem209 = 1652,
	CLI_Oem210 = 1653,
	CLI_Oem211 = 1654,
	CLI_Oem212 = 1655,
	CLI_Oem213 = 1656,
	CLI_Oem214 = 1657,
	CLI_Oem215 = 1658,
	CLI_Oem216 = 1659,
	CLI_Oem217 = 1660,
	CLI_Oem218 = 1661,
	CLI_Oem219 = 1662,
	CLI_Oem220 = 1663,
	CLI_Oem221 = 1664,
	CLI_Oem222 = 1665,
	CLI_Oem223 = 1666,
	CLI_Oem224 = 1667,
	CLI_Oem225 = 1668,
	CLI_Oem226 = 1669,
	CLI_Oem227 = 1670,
	CLI_Oem228 = 1671,
	CLI_Oem229 = 1672,
	CLI_Oem230 = 1673,
	CLI_Oem231 = 1674,
	CLI_Oem232 = 1675,
	CLI_Oem233 = 1676,
	CLI_Oem234 = 1677,
	CLI_Oem235 = 1678,
	CLI_Oem236 = 1679,
	CLI_Oem237 = 1680,
	CLI_Oem238 = 1681,
	CLI_Oem239 = 1682,
	CLI_Oem240 = 1683,
	CLI_Oem241 = 1684,
	CLI_Oem242 = 1685,
	CLI_Oem243 = 1686,
	CLI_Oem244 = 1687,
	CLI_Oem245 = 1688,
	CLI_Oem246 = 1689,
	CLI_Oem247 = 1690,
	CLI_Oem248 = 1691,
	CLI_Oem249 = 1692,
	CLI_Oem250 = 1693,

	CLM_7 = 1694,
	CLM_8 = 1695,
	CLM_9 = 1696,
	CLM_10 = 1697,
	CLM_11 = 1698,
	CLM_12 = 1699,
	CLM_13 = 1700,
	CLM_14 = 1701,
	CLM_15 = 1702,
	CLM_16 = 1703,
	CLM_17 = 1704,
	CLM_18 = 1705,
	CLM_19 = 1706,
	CLM_20 = 1707,

	CLI_Last = CLM_20
};
